@echo off
if "%OS%" == "Windows_NT" setlocal

rem Install JobServer environment

if exist "conf\system-config.bat" goto okHome
set dumby=""
echo  JobServer home directory not found. You must run this
echo  program from the JobServer home directory. Install
echo  exiting.
goto  end

:okHome

rem prevent this installation from being used as an upgrade in future
del /Q upgrade.bat 1> nul

rem check if distrib_dir exists
if exist "bin\jsstartup.bat" (
echo.
echo  Installation previously completed.
echo.
goto end
)

:step1

if exist "%JAVA_HOME%\bin\java.exe" goto okExecJDK

if exist "%JRE_HOME%\bin\java.exe" goto okExecJRE
echo "Neither JRE_HOME nor JAVA_HOME environment variable is set."
echo "One of these variables must be set to run this program."
echo "Program exiting."
goto end

:okExecJRE
set JS_JVM_HOME=%JRE_HOME%
goto step2

:okExecJDK
set JS_JVM_HOME=%JAVA_HOME%

:step2
rem check for proper java version
rem call "%JS_JVM_HOME%\bin\java.exe" -version 2> javaversioninfo.txt
rem find "1.4.2" javaversioninfo.txt > nul
rem if "%ERRORLEVEL%" == "0" goto step3
rem echo.
rem echo  Installation failed.....Required Java version not found
rem echo  Install required Java version 1.4.2 before continuing with installation
rem echo.
rem goto end

:step3
rem del javaversioninfo.txt

set LICENSE_VAL=no

rem license accept/reject
call more conf\license\jobserver.license
echo.
echo.
echo  Do you accept the terms of the license? (yes/no)
set /P LICENSE_VAL=

rem strip spaces out
set LICENSE_VAL=%LICENSE_VAL: =%

if "%LICENSE_VAL%" == "yes" goto step4
echo.
echo  You have NOT accepted the terms of the license. This installation is terminated.
echo.
goto end

:step4
rem make version dir - insert product version name into file
mkdir EJS-DATA\version
echo Installed Version JobServer-Standard 3.16.0  > EJS-DATA\version\version-history

set APPENDCMD=distrib_dir\bin\toolbin\appendstr

rem Note that VARLIST is equal to an empty space
set VARLIST= 
rem copy jars to web dir
for %%f IN ("sys\app\webapps\jobserver\WEB-INF\lib\*.jar") DO call "%APPENDCMD%" %%~nxf
rem Now parse VARLIST and copy files
for %%f IN (%VARLIST%) DO copy /Y "distrib_dir\lib\%%f" "sys\app\webapps\jobserver\WEB-INF\lib\." 1>nul

rem Tomact 8
set VARLIST= 
rem copy jars to web dir
for %%f IN ("sys\app\lib\*.jar") DO call "%APPENDCMD%" %%~nxf
rem Now parse VARLIST and copy files
for %%f IN (%VARLIST%) DO copy /Y "distrib_dir\lib\%%f" "sys\app\lib\." 1>nul

rem set VARLIST= 
rem copy jars to web dir
rem commented out for v3.16
rem for %%f IN ("sys\app\endorsed\*.jar") DO call "%APPENDCMD%" %%~nxf
rem Now parse VARLIST and copy files
rem for %%f IN (%VARLIST%) DO copy /Y "distrib_dir\lib\%%f" "sys\app\endorsed\." 1>nul


rem set VARLIST= 
rem copy jars to web dir
rem for %%f IN ("sys\app\common\lib\*.jar") DO call "%APPENDCMD%" %%~nxf
rem Now parse VARLIST and copy files
rem for %%f IN (%VARLIST%) DO copy /Y "distrib_dir\lib\%%f" "sys\app\common\lib\." 1>nul

rem set VARLIST= 
rem copy jars to web dir
rem for %%f IN ("sys\app\common\endorsed\*.jar") DO call "%APPENDCMD%" %%~nxf
rem Now parse VARLIST and copy files
rem for %%f IN (%VARLIST%) DO copy /Y "distrib_dir\lib\%%f" "sys\app\common\endorsed\." 1>nul

rem set VARLIST= 
rem copy jars to web dir
rem for %%f IN ("sys\app\server\lib\*.jar") DO call "%APPENDCMD%" %%~nxf
rem Now parse VARLIST and copy files
rem for %%f IN (%VARLIST%) DO copy /Y "distrib_dir\lib\%%f" "sys\app\server\lib\." 1>nul

set VARLIST=
rem copy jars to tool dir
for %%f IN ("sys\lib\sdk\*.jar") DO call "%APPENDCMD%" %%~nxf
rem Now parse VARLIST and copy files
for %%f IN (%VARLIST%) DO copy /Y "distrib_dir\lib\%%f" "sys\lib\sdk\." 1>nul

set VARLIST= 
rem copy jars to tool dir
for %%f IN ("sys\lib\jscore\*.jar") DO call "%APPENDCMD%" %%~nxf
rem Now parse VARLIST and copy files
for %%f IN (%VARLIST%) DO copy /Y "distrib_dir\lib\%%f" "sys\lib\jscore\." 1>nul

set VARLIST= 
rem copy jars to tool dir
for %%f IN ("sys\lib\jsthird\*.jar") DO call "%APPENDCMD%" %%~nxf
rem Now parse VARLIST and copy files
for %%f IN (%VARLIST%) DO copy /Y "distrib_dir\lib\%%f" "sys\lib\jsthird\." 1>nul

set VARLIST= 
rem copy jars to tool dir
for %%f IN ("sys\lib\endorsed\*.jar") DO call "%APPENDCMD%" %%~nxf
rem Now parse VARLIST and copy files
for %%f IN (%VARLIST%) DO copy /Y "distrib_dir\lib\%%f" "sys\lib\endorsed\." 1>nul

set VARLIST= 
rem copy jars to tool dir
for %%f IN ("sys\lib\gwt\*.jar") DO call "%APPENDCMD%" %%~nxf
rem Now parse VARLIST and copy files
for %%f IN (%VARLIST%) DO copy /Y "distrib_dir\lib\%%f" "sys\lib\gwt\." 1>nul

set VARLIST= 
rem copy jars to tool dir
for %%f IN ("sys\lib\mule-core\*.jar") DO call "%APPENDCMD%" %%~nxf
rem Now parse VARLIST and copy files
for %%f IN (%VARLIST%) DO copy /Y "distrib_dir\lib\%%f" "sys\lib\mule-core\." 1>nul

set VARLIST= 
rem copy jars to tool dir
for %%f IN ("sys\lib\mule-opt\*.jar") DO call "%APPENDCMD%" %%~nxf
rem Now parse VARLIST and copy files
for %%f IN (%VARLIST%) DO copy /Y "distrib_dir\lib\%%f" "sys\lib\mule-opt\." 1>nul

set VARLIST= 
rem copy jars to tool dir
for %%f IN ("sys\lib\mule-user\*.jar") DO call "%APPENDCMD%" %%~nxf
rem Now parse VARLIST and copy files
for %%f IN (%VARLIST%) DO copy /Y "distrib_dir\lib\%%f" "sys\lib\mule-user\." 1>nul

set VARLIST= 
rem copy jars to tool dir
for %%f IN ("sys\lib\webapp-mule-user\*.jar") DO call "%APPENDCMD%" %%~nxf
rem Now parse VARLIST and copy files
for %%f IN (%VARLIST%) DO copy /Y "distrib_dir\lib\%%f" "sys\lib\webapp-mule-user\." 1>nul

rem move bin dir
move /Y distrib_dir\bin bin 1> nul

rem delete distrib_dir
rmdir /S /Q distrib_dir

echo.
echo  JobServer Installation Complete!
echo.

:end
pause
